Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Install Imagick 3.4.3 on PHP 7.2 server (Laravel Forge)
#!/bin/bash
if [ "$EUID" -ne 0 ]
then echo "Please run as root"
exit
fi
apt-get install pkg-config libmagickwand-dev -y
cd /tmp
wget https://pecl.php.net/get/imagick-3.4.3.tgz
tar xvzf imagick-3.4.3.tgz
cd imagick-3.4.3
phpize
./configure
make install
rm -rf /tmp/imagick-3.4.3*
echo extension=imagick.so >> /etc/php/7.2/cli/php.ini
echo extension=imagick.so >> /etc/php/7.2/fpm/php.ini
service php7.2-fpm restart
service nginx restart
@zenbug
Copy link

zenbug commented Feb 5, 2019

Word. Very helpful for us amateur CLIs.

@JordanLauriol
Copy link

JordanLauriol commented Feb 22, 2019

You can maybe add sudo apt install php7.2-dev, it's necessary for the command "phpize" in your script bash.
Thanks u for helpful !

@whoacowboy
Copy link

whoacowboy commented Apr 26, 2019

Thank you.

@omdesignz
Copy link

omdesignz commented Feb 23, 2020

Hi there, will the same steps work for php 7.4? By changing the PHP 7.2 reference to PHP 7.4?

@rostockahoi
Copy link
Author

rostockahoi commented Feb 23, 2020

Yes this should work. Additionally you would want to check the imagick version since the gist is some kind of old. I‘ll test this next week.

@omdesignz
Copy link

omdesignz commented Feb 23, 2020

Thanks for the reply. I'll spin up a forge server and test it out as soon as possible.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment